-- UNITDEF -- ARM_FURIE --
--------------------------------------------------------------------------------

local unitName = "arm_furie"

--------------------------------------------------------------------------------

local unitDef = {
	acceleration = 3.5,
	activatewhenbuilt = true,
	autoheal = 5000,
	bmcode = 1,
	brakeRate = 3.5,
	buildCostEnergy = 486664,
	buildCostMetal = 35089,
	builder = false,
			buildpic = "arm_furie.png",
	buildTime = 902193,
	canAttack = true,
	canGuard = true,
	canMove = true,
	canPatrol = true,
	canstop = 1,
	cantBeTransported = true,
	category = "ALL WEAPON NOTSUB NOTAIR",
	copyright = [[Copyright 1997 Humongous Entertainment. All rights reserved.]],
	corpse = [[dead]],
	defaultmissiontype = [[Standby]],
	description = [[The Legendary Kbot]],
	designation = [[ARM-KL]],
	downloadable = 1,
	energyMake = 10000,
	energyStorage = 1000000,
	energyUse = 1.1,
	explodeAs = [[NUCLEAR_MISSILE1]],
	firestandorders = 1,
	footprintX = 5,
	footprintZ = 5,
	frenchdescription = [[Kbot Exprimental]],
	germandescription = [[Experimental-Kbot]],
	immunetoparalyzer = 1,
	maneuverleashlength = 640,
	mass = 200000,
	maxDamage = 220489,
	maxSlope = 17,
	maxVelocity = 6.6,
	maxWaterDepth = 12,
	metalmake = 200,
	metalStorage = 200000,
	mobilestandorders = 1,
	movementClass = [[VKBOT5]],
	name = [[Arm Furie]],
	noAutoFire = false,
	noChaseCategory = [[SUB VTOL]],
	objectName = [[ARM_FURIE]],
	radardistance = 2700,
	radaremitheight = 66,
	selfDestructAs = [[CRBLMSSL1]],
	selfDestructCountdown = 5,
	shootme = 1,
	side = [[ARM]],
	sightDistance = 2500,
	standingfireorder = 2,
	standingmoveorder = 1,
	steeringmode = 2,
	threed = 1,
	turnRate = 15600,
	unitname = [[arm_furie]],
	unitnumber = 7218,
	version = 3.1,
	workerTime = 0,
	zbuffer = 1,
	featureDefs = nil,
	sounds = {
		canceldestruct = [[cancel2]],
		underattack = [[warning1]],
		cant = {
			[1] = [[cantdo4]],
		},
		count = {
			[1] = [[count6]],
			[2] = [[count5]],
			[3] = [[count4]],
			[4] = [[count3]],
			[5] = [[count2]],
			[6] = [[count1]],
		},
		ok = {
			[1] = [[krogok1]],
		},
		select = {
			[1] = [[krogsel1]],
		},
	},
	weaponDefs = nil,
	weapons = {
		[1] = {
			def = [[ARM_FURIE_HEAD]],
			onlyTargetCategory = [[NOTAIR]],
		},
		[2] = {
			def = [[ARM_FURIE_FIRE]],
			onlyTargetCategory = [[NOTAIR]],
		},
		[3] = {
			def = [[ARM_FURIE_ROCKET]],
			onlyTargetCategory = [[NOTAIR]],
		},
	},
}

--------------------------------------------------------------------------------

local weaponDefs = {
	ARM_FURIE_FIRE = {
		areaOfEffect = 450,
		craterBoost = 0,
		craterMult = 0,
		explosionart = [[explode5]],
		explosiongaf = [[fx]],
		id = 238,
		impulseBoost = 1.8,
		impulseFactor = 1.8,
		lavaexplosionart = [[lavasplashsm]],
		lavaexplosiongaf = [[fx]],
		lineOfSight = true,
		name = [[Gauss Cannon2]],
		range = 1900,
		reloadtime = 0.1,
		renderType = 4,
		soundHit = [[xplomed2]],
		soundStart = [[gatling]],
		startsmoke = 1,
		tolerance = 10000,
		turret = true,
		waterexplosionart = [[h2oboom1]],
		waterexplosiongaf = [[fx]],
		weaponType = [[Cannon]],
		weaponVelocity = 450,
		damage = {
			default = 2500,
			subs = 5,
		},
	},
	ARM_FURIE_HEAD = {
		areaOfEffect = 8,
		beamWeapon = true,
		color = 148,
		color2 = 217,
		craterBoost = 0,
		craterMult = 0,
		energypershot = 2100,
		explosionart = [[explode5]],
		explosiongaf = [[fx]],
		fireStarter = 90,
		id = 217,
		impulseBoost = 0,
		impulseFactor = 0,
		lavaexplosionart = [[lavasplashsm]],
		lavaexplosiongaf = [[fx]],
		lineOfSight = true,
		name = [[Annihilator Weapon2]],
		range = 2450,
		reloadtime = 1,
		renderType = 0,
		soundHit = [[xplolrg1]],
		soundStart = [[fireplasma]],
		tolerance = 500,
		turret = true,
		waterexplosionart = [[h2oboom1]],
		waterexplosiongaf = [[fx]],
		weaponType = [[LaserCannon]],
		weaponVelocity = 2500,
		damage = {
			commanders = 7100,
			default = 126000,
			subs = 5,
		},
	},
	ARM_FURIE_ROCKET = {
		areaOfEffect = 80,
		craterBoost = 0,
		craterMult = 0,
		explosionart = [[explode3]],
		explosiongaf = [[fx]],
		fireStarter = 70,
		flightTime = 4,
		guidance = true,
		id = 182,
		impulseBoost = 0,
		impulseFactor = 0,
		lavaexplosionart = [[lavasplash]],
		lavaexplosiongaf = [[fx]],
		lineOfSight = true,
		metalpershot = 0,
		model = [[fmdmisl]],
		name = [[Heavy Rockets2]],
		range = 1100,
		reloadtime = 1.1,
		renderType = 1,
		selfprop = true,
		smokedelay = 0.1,
		smokeTrail = true,
		soundHit = [[xplosml2]],
		soundStart = [[rocklit1]],
		startsmoke = 1,
		startVelocity = 250,
		tolerance = 9000,
		tracks = true,
		turnRate = 63000,
		vlaunch = true,
		waterexplosionart = [[h2o]],
		waterexplosiongaf = [[fx]],
		weaponAcceleration = 200,
		weaponTimer = 1,
		weaponType = [[StarburstLauncher]],
		weaponVelocity = 550,
		damage = {
			default = 700,
			subs = 5,
		},
	},
}
unitDef.weaponDefs = weaponDefs


--------------------------------------------------------------------------------

local featureDefs = {
	dead = {
		blocking = true,
		category = [[arm_corpses]],
		damage = 0.6000 * unitDef.maxDamage,
		description = [[Legendary Wreckage]],
		featureDead = [[furie_heap]],
		featurereclamate = [[smudge01]],
		footprintX = 5,
		footprintZ = 5,
		height = 20,
		hitdensity = 100,
		metal = 0.8000 * unitDef.buildCostMetal,
		object = [[arm_furie_dead]],
		reclaimable = true,
		seqnamereclamate = [[tree1reclamate]],
		world = [[All Worlds]],
	},
	furie_heap = {
		blocking = false,
		category = [[heaps]],
		damage = 0.3600 * unitDef.maxDamage,
		description = [[Legendary Heap]],
		featurereclamate = [[smudge01]],
		footprintX = 5,
		footprintZ = 5,
		height = 4,
		hitdensity = 100,
		metal = 0.6400 * unitDef.buildCostMetal,
		object = [[5x5a]],
		reclaimable = true,
		seqnamereclamate = [[tree1reclamate]],
		world = [[All Worlds]],
	},
}
unitDef.featureDefs = featureDefs

--------------------------------------------------------------------------------

return lowerkeys({[unitName] = unitDef})

--------------------------------------------------------------------------------
